## org.eclipse.datatools.sqltools.sqleditor.internal
Class SQLEditorContributorExtensionRegistry

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.SQLEditorContributorExtensionRegistry

    public class SQLEditorContributorExtensionRegistry

extends java.lang.Object

Author:
  Hui Cao

Method Summary
`java.util.Collection` `getActionExtensions()`
`static SQLEditorContributorExtensionRegistry` `getInstance()`
`SQLSourceViewerConfiguration` `getSQLSourceViewerConfiguration()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SQLEditorContributorExtensionRegistry getInstance()

### getActionExtensions

    public java.util.Collection getActionExtensions()

### getSQLSourceViewerConfiguration

    public SQLSourceViewerConfiguration getSQLSourceViewerConfiguration()